.calendar {
    margin: 0 1rem 1rem;
}

table {
    border-collapse: collapse;
    width: 100%;
    td, th {
        border: 1px solid #000;
        padding: .5rem 1rem;
        min-width: 20px;
    }

    td {
        text-align: center;
        transition: all .2s;

        &.disabled {
            opacity: .5;
        }

        &:hover:not(.disabled) {
            background: #eee;
            cursor: pointer;
        }
    }

    .today {
        color: var(--primary-color);
        font-weight: bold;
    }

    .selected {
        background: var(--dark-color);
        color: var(--light-color);
        font-weight: bold;
    }

    .selected:hover:not(.disabled) {
        background: var(--darker-color);
    }

    .tasksUndone {
        text-decoration: overline black;
    }

    .tasksExpired {
        text-decoration-color: var(--primary-color);
    }

    // .tasksDone {                             // TODO move this to settings
    //     text-decoration: underline;
    // }

    // .tasksUndone.tasksDone {
    //     text-decoration: underline overline;
    // }
}

td.cdk-drop-list-dragging,
td.cdk-drop-list-dragging:hover {
    background: aqua !important;
}